Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 630546 - x11-wm/xpra - add support for nvenc (--with-nvenc)
Summary: x11-wm/xpra - add support for nvenc (--with-nvenc)
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Andreas K. Hüttel
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-10 00:13 UTC by Will Simoneau
Modified: 2018-12-02 22:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Simoneau 2017-09-10 00:13:44 UTC
The xpra ebuilds (current newest is xpra-2.1.1) don't seem to provide any way to build with --with-nvenc, which would be really nice to have.

There are some .pc files available on the xpra wiki at https://www.xpra.org/trac/wiki/Encodings/nvenc which xpra's build system needs. I hacked up a copy of the xpra-2.1.1 ebuild and it seems to build fine, even against media-video/nvidia-video-codec-8.0.14 which is much newer than what the wiki discusses. All I needed to do was adjust the include & lib paths in cuda.pc and nvenc5.pc to match my system. I stuck my files in /usr/share/pkgconfig just for testing, but there's surely a better/cleaner way to get the job done. (I'd post a suggested patch if my method was suitable for general consumption, but it's not)

Could the package maintainer(s) please take a look at making this work "properly"? TIA.
Comment 1 Michael Weber (RETIRED) gentoo-dev 2017-12-08 08:06:54 UTC
Thanks for your suggestion. I'd like to see upstream including this.
I need to fire up my nvidia machine to work on it. -- Give me some time.